/*
 * FechaInvalidaCampoOpcionalDependiente.java
 *
 * Created on 11 de abril de 2007, 04:29 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package com.fidufosyga.rules;

import java.text.SimpleDateFormat;

import com.fidufosyga.rules.util.ValidarFecha;

/**
 * 
 * @author Jsolano
 */
public class FechaInvalidaCampoOpcionalDependiente extends AbstractRule {

	String DATE_FORMAT = "dd/MM/yyyy";

	SimpleDateFormat sdf;

	// Create object of SimpleDateFormat and pass the desired date format.
	/** Creates a new instance of CampoVacio */
	public FechaInvalidaCampoOpcionalDependiente() {
		sdf = new SimpleDateFormat(DATE_FORMAT);
		sdf.setLenient(false);
	}

	public boolean performValidation(String field, String registro[],
			String nombreArchivo) {
		String codigoNovedad = registro[new Integer((String) getParams()[0])
				.intValue()];

		if (codigoNovedad.equals((String) getParams()[1])) {
			if (field.length() == 0) {
				return false;
			}
			if (!ValidarFecha.esFecha(field))
				return true;
			try {
				sdf.parse(field);
			} catch (Exception e) {
				return true;
			}
		}
		return false;
	}
}
